%define name karchiver
%define version 3.4.2
%define release %mkrel 3

%define major 2
%define libname %mklibname %name %major
%define libnamedev %mklibname %name %major -d

Summary:	A KDE archive management
Name:		%name
Version:	%version
Release: 	%release
License:	GPL
Group: 		Archiving/Compression

Source:		%{name}-%{version}.b4.tar.bz2
Source1:	karchiver-karchiverservicemenu.desktop

URL:		http://perso.wanadoo.fr/coquelle/karchiver/
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  desktop-file-utils
BuildRequires:  kdelibs-devel
BuildRequires:  desktop-file-utils

%description
This KDE application allows you reading, extracting, converting and modifying
.tar, .bz2, .gz, .zip... archives, just with a mouse!

Now uses wizards to compile and install softwares...

It can also split them to fit in floppies

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library requires by Karchiver

%description -n %{libname}
This package contains the shared library part of the KDE archiving program
karchiver.

%package -n %{libnamedev}
Group:          Development/Other
Summary:        Shared library requires by Karchiver
Requires:	%libname = %version
Provides:	libkarchiver-devel

%description -n %{libnamedev}
This package contains the shared library part of the KDE archiving program
karchiver.


%prep

%setup -q -n %{name}-%{version}.b4

%build
rm -rf autom4te.cache/
#make -f Makefile.cvs
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT \
  	          --disable-rpath \
	          --disable-debug --libdir=%_libdir
%make KDEDIR=$KDEDIR

%install
rm -rf %buildroot

%makeinstall

%find_lang %name

# David - 2.0.5-3mdk - Use a non broken .desktop
install -m 0644 %SOURCE1 %buildroot/%_datadir/apps/konqueror/servicemenus/karchiverservicemenu.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="KDE" \
  --add-category="Qt" \
  --add-category="Archiving" \
  --add-category="X-MandrivaLinux-System-Archiving-Compression" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde $RPM_BUILD_ROOT%{_datadir}/applications/kde/*

# Icons
cd %buildroot
mkdir -p ./%{_liconsdir} ./%{_iconsdir} ./%{_miconsdir}
ln ./%{_datadir}/icons/hicolor/48x48/apps/karchiver.png ./%{_liconsdir}
ln ./%{_datadir}/icons/hicolor/32x32/apps/karchiver.png ./%{_iconsdir}
ln ./%{_datadir}/icons/locolor/16x16/apps/karchiver.png ./%{_miconsdir}


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%_bindir/*
%_datadir/applications/kde/karchiver.desktop
%_datadir/apps/karchiver/KArchiverSfxModule.jar
%_datadir/apps/karchiver/SevenzSfxModule.sfx
%_datadir/services/karchiver_part.desktop
%_datadir/icons/hicolor/32x32/apps/*.png
%_datadir/icons/hicolor/32x32/mimetypes/*.png
%_datadir/icons/hicolor/48x48/apps/*.png
%_datadir/icons/locolor/16x16/apps/*.png 
%_datadir/icons/locolor/16x16/mimetypes/*.png    
%_datadir/icons/locolor/22x22/mimetypes/*.png
%_datadir/icons/locolor/32x32/apps/*.png
%dir %_datadir/apps/karchiver/
%dir %_datadir/apps/karchiver/pics
%_datadir/apps/karchiver/tip.database
%_datadir/apps/karchiver/*.rc
%_datadir/apps/karchiver/pics/*.png
%dir %_datadir/apps/karchiver/icons
%dir %_datadir/apps/karchiver/icons/hicolor/
%dir %_datadir/apps/karchiver/icons/hicolor/16x16/
%dir %_datadir/apps/karchiver/icons/hicolor/16x16/actions/
%_datadir/apps/karchiver/icons/hicolor/16x16/actions/*.png
%dir %_datadir/apps/karchiver/icons/hicolor/22x22/
%dir %_datadir/apps/karchiver/icons/hicolor/22x22/actions/
%_datadir/apps/karchiver/icons/hicolor/22x22/actions/*.png
%dir %_datadir/apps/karchiver/icons/hicolor/32x32/
%dir %_datadir/apps/karchiver/icons/hicolor/32x32/actions/
%_datadir/apps/karchiver/icons/hicolor/32x32/actions/*.png
%dir %_datadir/apps/karchiver/icons/locolor/
%dir %_datadir/apps/karchiver/icons/locolor/16x16/
%dir %_datadir/apps/karchiver/icons/locolor/16x16/actions/
%_datadir/apps/karchiver/icons/locolor/16x16/actions/*.png
%dir %_datadir/apps/karchiver/icons/locolor/22x22/
%dir %_datadir/apps/karchiver/icons/locolor/22x22/actions/
%_datadir/apps/karchiver/icons/locolor/22x22/actions/*.png
%dir %_datadir/apps/karchiver/icons/locolor/32x32/
%dir %_datadir/apps/karchiver/icons/locolor/32x32/actions/
%_datadir/apps/karchiver/icons/locolor/32x32/actions/*.png
%doc %_datadir/doc/HTML/en/karchiver
%_datadir/apps/konqueror/servicemenus/*.desktop
%_liconsdir/karchiver.png
%_iconsdir/karchiver.png
%_miconsdir/karchiver.png

%files -n %{libname}
%defattr(-,root,root)
%doc COPYING README
%_libdir/*.so.*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc COPYING README
%_libdir/*.so
%_libdir/*.la




%changelog
* Fri Jul 25 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.4.2-3mdv2009.0
+ Revision: 247501
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 3.4.2-1mdv2008.1
+ Revision: 140850
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Feb 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.4.2-1mdv2007.0
+ Revision: 116073
- New version 3.4.2
- Import karchiver

* Wed Feb 08 2006 Nicolas Lcureuil <neoclust@mandriva.org> 3.0.10-5mdk
- Reupload for missing src.rpm

* Mon Dec 26 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.0.10-4mdk
- Remove redundant Buildrequires

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 3.0.10-3mdk
- Fix Build
- use mkrel
- Remove Redundant buildrequires

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.10-2mdk
- Rebuils

